-- MySQL dump 10.9
--
-- Host: localhost    Database: everlist
-- ------------------------------------------------------
-- Server version	4.1.22-community-nt

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

use everlist;

--
-- Table structure for table `forums`
--

DROP TABLE IF EXISTS `forums`;
CREATE TABLE `forums` (
  `fid` int(11) NOT NULL auto_increment,
  `fname` varchar(255) default NULL,
  `fdescription` longtext,
  `ispublic` int(1) default NULL,
  `isclosed` int(1) default NULL,
  `subscriptionpolicy` int(1) default NULL,
  `fcreatedbyuserid` int(11) default NULL,
  `fmoderatoruserids` longtext,
  `fcreatedtimestamp` longtext,
  `fvisible` int(1) default NULL,
  `fdigestdefault` int(1) default NULL,
  `maxpostsperday` int(11) default NULL,
  `maxpostsperhour` int(11) default NULL,
  PRIMARY KEY  (`fid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Table structure for table `pendingsubs`
--

DROP TABLE IF EXISTS `pendingsubs`;
CREATE TABLE `pendingsubs` (
  `psid` int(11) NOT NULL auto_increment,
  `fid` int(11) default NULL,
  `digpref` int(11) default NULL,
  `userid` int(11) default NULL,
  `timestamp` longtext,
  `status` varchar(255) default NULL,
  PRIMARY KEY  (`psid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Table structure for table `posts`
--

DROP TABLE IF EXISTS `posts`;
CREATE TABLE `posts` (
  `pid` int(11) NOT NULL auto_increment,
  `tid` int(11) default NULL,
  `createdbyuserid` int(11) default NULL,
  `ptext` longtext,
  `excludeptext` int(11) default NULL,
  `ptimestamp` longtext,
  `plastedittimestamp` longtext,
  `pip` varchar(255) default NULL,
  `pstatus` varchar(255) default NULL,
  PRIMARY KEY  (`pid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Table structure for table `profiles`
--

DROP TABLE IF EXISTS `profiles`;
CREATE TABLE `profiles` (
  `prid` int(11) NOT NULL auto_increment,
  `userid` int(11) default NULL,
  `fullname` varchar(255) default NULL,
  `title` varchar(255) default NULL,
  `website` longtext,
  `avatarurl` longtext,
  `homephone` varchar(255) default NULL,
  `cellphone` varchar(255) default NULL,
  `workphone` varchar(255) default NULL,
  `workphoneext` varchar(255) default NULL,
  `street` varchar(255) default NULL,
  `city` varchar(255) default NULL,
  `state` varchar(255) default NULL,
  `zip` varchar(255) default NULL,
  `country` varchar(255) default NULL,
  `dob` date default NULL,
  `bio` longtext,
  `subscribedforumids` longtext,
  `moderatedforumids` longtext,
  `forumdigestprefs` longtext,
  `currentforumid` int(11) default NULL,
  `bannedforumids` longtext,
  `invitedforumids` longtext,
  PRIMARY KEY  (`prid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Table structure for table `topics`
--

DROP TABLE IF EXISTS `topics`;
CREATE TABLE `topics` (
  `tid` int(11) NOT NULL auto_increment,
  `fid` int(11) default NULL,
  `createdbyuserid` int(11) default NULL,
  `tname` varchar(255) default NULL,
  `ttimestamp` longtext,
  `tip` varchar(255) default NULL,
  `tstatus` varchar(255) default NULL,
  PRIMARY KEY  (`tid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
CREATE TABLE `users` (
  `userid` int(11) NOT NULL auto_increment,
  `username` varchar(255) default NULL,
  `password` longtext,
  `sessionid` longtext,
  `loggedon` int(11) default NULL,
  `lastlogontimestamp` longtext,
  `lastactiontimestamp` longtext,
  `logintimeoutminutes` int(11) default NULL,
  `email` longtext,
  `currentip` varchar(255) default NULL,
  `previps` longtext,
  `usersincetimestamp` longtext,
  `userflags` longtext,
  `status` varchar(255) default NULL,
  PRIMARY KEY  (`userid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` VALUES (1,'Kris','5b1b68a9abf4d2cd155c81a9225fd158','f695ca30093c0b1e8a4c3833208ff183',1,'1235839676','1235839902',120,'Kris.Craig@gmail.com','24.17.143.94',NULL,'1216586870',NULL,'SUPERUSER'),(4,'testuser','5b1b68a9abf4d2cd155c81a9225fd158','e02c6048a31b62c6315bcd05d45bf807',0,'1235839559','1235839560',120,'sir.kris@gmail.com','24.17.143.94',NULL,'1217905690',NULL,'ACTIVE'),(5,'testuser2','5b1b68a9abf4d2cd155c81a9225fd158','6942a13c876a47cf73b5f6fe06d8b926',0,'1218346146','1218346227',120,'kristopher.craig@gmail.com','71.197.158.128',NULL,'1217906522',NULL,'ACTIVE'),(6,'testuser3','5b1b68a9abf4d2cd155c81a9225fd158','37c4a6a8b0bc2858fc98897e36b69460',0,'1218152682','1218152682',120,'kris.craig@gmail.comee','71.197.158.128',NULL,'1218005942',NULL,'INACTIVE'),(7,'Bubblegum','4b9cfd9de3b7bd388412782653346068','8dd8cafceaa5d034f631ac6734754fa6',0,'1224353247','1224355108',120,'sanjuroichi@gmail.com','24.17.143.191',NULL,'1218846563',NULL,'PENDING'),(8,'zdam','dfdc310f2ee054b3eb0c0326975582c9','bf56a290a4eba731435070df1f0a3469',1,'1218867270','1218869995',120,'adamhaines@gmail.com','98.225.3.3',NULL,'1218867094',NULL,'ACTIVE'),(9,'testuserb','5b1b68a9abf4d2cd155c81a9225fd158','2d5b26515eaab5474df5541b8032e8d3',0,NULL,NULL,120,'crakri09@evergreen.edu','71.197.158.128',NULL,'1224743429',NULL,'PENDING'),(10,'sivraj89','eb413d1fff09aa7a213d6fcb3a4c9a96','d68fd463ed25c02aaba5cdca1eb9f03b',1,'1224745644','1224745784',120,'josiejarvis@gmail.com','67.168.65.214',NULL,'1224745498',NULL,'ACTIVE'),(11,'ListuserAdmin','39bdc4f91eb7aff113823e3ad48d88d0','70b99751aa744a58087bc382f1b7bee6',1,'1227562956','1227563350',120,'melanie.byas@ncpanet.org','12.182.23.162',NULL,'1227543494',NULL,'PENDING'),(15,'testicleuser','5b1b68a9abf4d2cd155c81a9225fd158','528fdb3b15a860d8b71598045e69aa67',1,'1233916116','1233917567',120,'testicleuser@gmail.com','24.17.143.94',NULL,'1233905981',NULL,'ACTIVE');
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
